/*
Assignment Name: Pacific Trails Resort External CSS - Module 7
File Name: pacific.css
Date: 02/17/2020
Programmer: Fredy Chavez
*/

body {   
        background-color: #3399CC; 
        color: #666666; 
        font-family: Verdana, Arial, sans-serif;
        background-image: linear-gradient(to bottom, #3399CC, #C2E0F0, #3399CC)
}

header { 
        background-color: #000033; 
        color: #FFFFFF; 
        font-family: Georgia, serif; 
}

h1 {     
        line-height: 200%;
        background-image: url(../images/sunset.jpg); 
        background-position: right; 
        background-repeat: no-repeat;
        padding-left: 1em;
        height: 72px; 
        margin-bottom: 0;
}

nav {    
        font-weight: bold;
        padding: 0px; 
        float: left; 
        width: 160px; 
 }

h2 {     
        color: #3399CC; 
        font-size: medium; 
        font-family: Georgia, serif;
}

dt {     
        color: #000033;
        font-weight: bold;
}

.resort {        
        color: #000033; 
        font-size: 1.2em; 
}

.footer {        
        background-color: #FFFFFF; 
        font-size: .70em; 
        font-style: italic; 
        text-align: center;
        padding: 1em; 
        margin-left: 170px; 
}

#wrapper {      
        min-width: 700px;
        max-width: 1024px; 
        margin-right: auto;
        margin-left: auto;
        background-color: #000033; 
        box-shadow: 5px 5px 5px #000000; 
}

h3 {     
        color: #000033; 
}

main {  
        background-color: #FFFFFF; 
        margin-left: 170px; 
        padding-left: 2em; 
        padding-right: 2em;
        padding-top: 1px; 
        padding-bottom: 1px; 
}

#homehero {      
        height: 300px; 
        background-image: url('../images/coast.jpg'); 
        background-size: 100% 100%; 
        background-repeat: no-repeat; 
        margin-left: 170px; 
}

#yurthero {      
        height: 300px;
        background-image: url('../images/yurt.jpg'); 
        background-size: 100% 100%; 
        background-repeat: no-repeat; 
        margin-left: 170px; 
}

#trailhero {    
        height: 300px; 
        background-image: url('../images/trail.jpg'); 
        background-size: 100% 100%; 
        background-repeat: no-repeat; 
        margin-left: 170px; 
}

nav a {  
        text-decoration: none; 
}

* { 
        box-sizing: border-box; 
}

nav a:link {
        color: #FFFFFF; 
}

nav a:visited {
        color: #C2E0F0;
}

nav a:hover {
        color: #CCCCCC; 
}

nav ul {
        list-style-type: none; 
        padding: 1em; 
}

header, nav, main, footer {
        display: block; 
}

#mobile {
        display: none; 
}

#desktop {
        display: inline; 
}

@media only screen and (max-width: 1024px) {
    
    body {
        margin: 0; 
        padding: 0; 
        background-image: none; 
    }
    
    #wrapper {
        width: auto; 
        min-width: 0; 
        margin: 0; 
        box-shadow: none; 
    }

    h1 {
        margin: 0; 
    }
    
    nav {
        float: none; 
        width: auto; 
        padding: 0.01em 1em;   
        background-color: #124373; 
    }
    
    nav li {
        display: inline-block; 
    }
    
    nav a {
        padding-right: 2em;
    }
    
    main {
        padding: 1em; 
        margin-left: 0; 
        font-size: 90%; 
    }
    
    .footer {
        margin: 0; 
    }
    
    #homehero {
        margin-left: 0; 
    }
    
    #yurthero {
        margin-left: 0; 
    }
    
    #trailhero {
        margin-left: 0; 
    }
    
    }
    
@media only all and (max-width: 768px) {
    
    h1 {
        height: 100%; 
        font-size: 1.5em; 
        padding-left: 0.3em; 
    }
    
    nav {
        padding: 0; 
    }
    
    nav a {
        display: block; 
        padding: 0.2em; 
        font-size: 1.1em; 
        border-bottom: 1px solid #330000;  
    }
    
    nav ul {
        margin: 0; 
        padding: 0; 
    }
    
    nav li {
        display: block; 
        margin: 0; 
        padding: 0; 
    }
    
    main {
        padding: 0.1em 0.6em 0.1em 0.4em; 
    }
    
    #homehero {
        display: none; 
    }
    
    #yurthero {
        display: none; 
    }
    
    #trailhero {
        display: none; 
    }
    
    .footer {
        padding: 0;
    }
    
    #mobile {
        display: inline; 
    }
    
    #desktop {
        display: none; 
    }
    
    }

table {
        margin: auto;
        border: 1px #3399CC;
        width: 90%; 
        border-collapse: collapse;
    }

td, th {
        padding: 5px; 
        border: 1px solid #3399CC; 
        text-align: center;
    }    
    
.text {
       text-align: left; 
    }

tr:nth-of-type(even) {
        background-color: #F5FAFC;
    }



